//**************************************************************************
//
//
//                       National Institute Of Standards and Technology
//                                    DTS Version 1.1
//         
//                              HTMLFrameSetElement Interface
//**************************************************************************

function HTMLFrameSetElement()
{
   var tests = new Array (HTML0001HFSE(),HTML0002HFSE());
   return tests;
}

//------------------------ test case HTML-0001HFSE -------------------------
//
// Testing feature - The "cols" attribute specifies the number of columns 
//                   of frames in the frameset.
//
// Testing approach - Retrieve the "cols" attribute from the second 
//                    FRAMESET element of the frameset testing document
//                    and examine its value. It should be equal to 3.
//
// Semantic Requirements: 1
//
// Last modification date - September 30, 1999
//
// Written by: Carmelo Montanez
//----------------------------------------------------------------------------

 function HTML0001HFSE()
 {
   var computedValue = "";
   var expectedValue = "3";
   var results = "";
   var testNode = "";

    results = new testResults("HTML0001HFSE");
    results.description = "The \"cols\" attribute specifies the number "+
                          "of columns of frames in the frameset.";
//
// Retrieve targeted data.
//
      testNode = new HTMLNodeObject(FRAMESET,SECOND);
//
// and access its "cols" attribute.
//
      computedValue = testNode.node.cols;
//
// Write out results 
//
      results.expected = expectedValue;
      results.actual = computedValue;

    return results;
}

//------------------------ End test case HTML-0001HFSE -------------------------
//
//------------------------ test case HTML-0002HFSE -------------------------
//
// Testing feature - The "rows" attribute specifies the number of rows 
//                   of frames in the frameset.
//
// Testing approach - Retrieve the "rows" attribute from the first 
//                    FRAMESET element of the frameset testing document
//                    and examine its value. It should be equal to 2.
//
// Semantic Requirements: 2
//
// Last modification date - September 30, 1999
//
// Written by: Carmelo Montanez
//----------------------------------------------------------------------------

 function HTML0002HFSE()
 {
   var computedValue = "";
   var expectedValue = "2";
   var results = "";
   var testNode = "";

    results = new testResults("HTML0002HFSE");
    results.description = "The \"rows\" attribute specifies the number "+
                          "of rows of frames in the frameset.";
//
// Retrieve targeted data.
//
      testNode = new HTMLNodeObject(FRAMESET,FIRST);
//
// and access its "rows" attribute.
//
      computedValue = testNode.node.rows;
//
// Write out results 
//
      results.expected = expectedValue;
      results.actual = computedValue;

    return results;
}
//------------------------ End test case HTML-0002HFSE -------------------------
