//**************************************************************************
//
//
//                       National Institute Of Standards and Technology
//                                    DTS Version 1.1
//         
//                                HTMLHeadingElement Interface
//**************************************************************************

function HTMLHeadingElement()
{
   var tests = new Array (HTML0001HHE(),HTML0002HHE(),HTML0003HHE(),HTML0004HHE(),HTML0005HHE(),HTML0006HHE());
   return tests;
}

//------------------------ test case HTML-0001HHE ------------------------
//
// Testing feature - The "align" attribute of an HTMLHeadingElement 
//                   interface (H1 element).
//
// Testing approach - Retrieve the "align" attribute from the H1 element 
//                    of the testing document and examine its value.
//
// Semantic Requirements: 1
//
// Last modification date - July 22, 1999
//
// Written by: Carmelo Montanez
//----------------------------------------------------------------------------

 function HTML0001HHE()
 {
   var computedValue = "";
   var expectedValue = "CENTER";
   var results = "";
   var testNode = "";

    results = new testResults("HTML0001HHE");
    results.description = "The \"align\" attribute of the "+
                          "HTMLHeadingElement interface (H1 element)";
//
// Retrieve targeted data.
//
      testNode = new HTMLNodeObject(H1);  
//
// and access its "align" attribute.
//
      computedValue = testNode.node.align;
      computedValue = computedValue.toUpperCase();
//
// Write out results 
//
      results.expected = expectedValue;
      results.actual = computedValue;

    return results;
}

//------------------------ End test case HTML-0001HHE -------------------------
//
//-------------------------- test case HTML-0002HHE ---------------------------
//
// Testing feature - The "align" attribute of an HTMLHeadingElement
//                   interface (H2 element).
//
// Testing approach - Retrieve the "align" attribute from the H2 element
//                    of the testing document and examine its value.
//
// Semantic Requirements: 1 
//
// Last modification date - July 22, 1999
//
// Written by: Carmelo Montanez
//----------------------------------------------------------------------------

 function HTML0002HHE()
 {
   var computedValue = "";
   var expectedValue = "LEFT";
   var results = "";
   var testNode = "";

    results = new testResults("HTML0002HHE");
    results.description = "The \"align\" attribute of the "+
                          "HTMLHeadingElement interface (H2 element)";
//
// Retrieve targeted data.
//
      testNode = new HTMLNodeObject(H2);
//
// and access its "align" attribute.
//
      computedValue = testNode.node.align;
      computedValue = computedValue.toUpperCase();
//
// Write out results
//
      results.expected = expectedValue; 
      results.actual = computedValue;

    return results;
}

//------------------------ End test case HTML-0002HHE -------------------------
//
//-------------------------- test case HTML-0003HHE ---------------------------
//
// Testing feature - The "align" attribute of an HTMLHeadingElement
//                   interface (H3 element).
//
// Testing approach - Retrieve the "align" attribute from the H3 element
//                    of the testing document and examine its value.
//
// Semantic Requirements: 1 
//
// Last modification date - July 22, 1999
//
// Written by: Carmelo Montanez
//----------------------------------------------------------------------------

 function HTML0003HHE()
 {
   var computedValue = "";
   var expectedValue = "RIGHT";
   var results = "";
   var testNode = "";

    results = new testResults("HTML0003HHE");
    results.description = "The \"align\" attribute of the "+
                          "HTMLHeadingElement interface (H3 element).";
//
// Retrieve targeted data.
//
      testNode = new HTMLNodeObject(H3);
//
// and access its "align" attribute.
//
      computedValue = testNode.node.align;
      computedValue = computedValue.toUpperCase();
//
// Write out results
//
      results.expected = expectedValue;
      results.actual = computedValue;

    return results;
}

//------------------------ End test case HTML-0003HHE -------------------------
//
//-------------------------- test case HTML-0004HHE ---------------------------
//
// Testing feature - The "align" attribute of an HTMLHeadingElement
//                   interface (H4 element).
//
// Testing approach - Retrieve the "align" attribute from the H4 element
//                    of the testing document and examine its value.
//
// Semantic Requirements: 1 
//
// Last modification date - July 22, 1999
//
// Written by: Carmelo Montanez
//----------------------------------------------------------------------------

 function HTML0004HHE()
 {
   var computedValue = "";
   var expectedValue = "JUSTIFY";
   var results = "";
   var testNode = "";

    results = new testResults("HTML0004HHE");
    results.description = "The \"align\" attribute of the "+
                          "HTMLHeadingElement interface. (H4 element)";
//
// Retrieve targeted data.
//
      testNode = new HTMLNodeObject(H4);
//
// and access its "align" attribute.
//
      computedValue = testNode.node.align;
      computedValue = computedValue.toUpperCase();
//
// Write out results
//
      results.expected = expectedValue;
      results.actual = computedValue;

    return results;
}

//------------------------ End test case HTML-0004HHE -------------------------
//
//-------------------------- test case HTML-0005HHE ---------------------------
//
// Testing feature - The "align" attribute of an HTMLHeadingElement
//                   interface (H5 element).
//
// Testing approach - Retrieve the "align" attribute from the H5 element
//                    of the testing document and examine its value.
//
// Semantic Requirements: 1 
//
// Last modification date - July 22, 1999
//
// Written by: Carmelo Montanez
//----------------------------------------------------------------------------

 function HTML0005HHE()
 {
   var computedValue = "";
   var expectedValue = "CENTER";
   var results = "";
   var testNode = "";

    results = new testResults("HTML0005HHE");
    results.description = "The \"align\" attribute of the "+
                          "HTMLHeadingElement interface (H5 element)";
//
// Retrieve targeted data.
//
      testNode = new HTMLNodeObject(H5);
//
// and access its "align" attribute.
//
      computedValue = testNode.node.align;
      computedValue = computedValue.toUpperCase();
//
// Write out results
//
      results.expected = expectedValue;
      results.actual = computedValue;

    return results;
}

//------------------------ End test case HTML-0005HHE -------------------------
//
//-------------------------- test case HTML-0006HHE ---------------------------
//
// Testing feature - The "align" attribute of an HTMLHeadingElement
//                   interface (H6 element).
//
// Testing approach - Retrieve the "align" attribute from the H6 element
//                    of the testing document and examine its value.
//
// Semantic Requirements: 1 
//
// Last modification date - July 22, 1999
//
// Written by: Carmelo Montanez
//----------------------------------------------------------------------------

 function HTML0006HHE()
 {
   var computedValue = "";
   var expectedValue = "LEFT";
   var results = "";
   var testNode = "";

    results = new testResults("HTML0006HHE");
    results.description = "The \"align\" attribute of the "+
                          "HTMLHeadingElement interface (H6 element)";
//
// Retrieve targeted data.
//
      testNode = new HTMLNodeObject(H6);
//
// and access its "align" attrribute.
//
      computedValue = testNode.node.align;
      computedValue = computedValue.toUpperCase();
//
// Write out results
//
      results.expected = expectedValue;
      results.actual = computedValue;

    return results;
}

//------------------------ End test case HTML-0006HHE -------------------------
