//**************************************************************************
//
//
//                       National Institute Of Standards and Technology
//                                    DTS Version 1.1
//         
//                              HTMLModElement Interface
//**************************************************************************

function HTMLModElement()
{
   var tests = new Array (HTML0001HMDE(),HTML0002HMDE(),HTML0003HMDE(),HTML0004HMDE());
   return tests;
}

//------------------------ test case HTML-0001HMDE -------------------------
//
// Testing feature - "The \"cite\" attribute specifies a URI designating
//                    a document that describes the reason for the change. 
//                    (test for the INS element).
//
// Testing approach - Retrieve the "cite" attribute from the first 
//                    INS element of the testing document and examine
//                    its value. It should be equal to 
//                    "./FILES/REASONS.HTML".
//
// Semantic Requirements: 1
//
// Last modification date - October 25, 1999
//
// Written by: Carmelo Montanez
//----------------------------------------------------------------------------

 function HTML0001HMDE()
 {
   var computedValue = "";
   var expectedValue = "./FILES/REASONS.HTML";
   var results = "";
   var testNode = "";

    results = new testResults("HTML0001HMDE");
    results.description = "The \"cite\" attribute specifies a "+
                          "URI designating a document that describes "+
                          "the reason for the change (INS element).";
//
// Retrieve targeted data.
//
      testNode = new HTMLNodeObject(INS);
//
// and access its "cite" attribute.
//
      computedValue = testNode.node.cite;
      computedValue = computedValue.toUpperCase();
//
// Write out results 
//
      results.expected = expectedValue;
      results.actual = computedValue;

    return results;
}

//------------------------ End test case HTML-0001HMDE -------------------------
//
//------------------------   test case HTML-0002HMDE   -------------------------
//
// Testing feature - The "dateTime" attribute specifies the date and time 
//                   of the change.
//
// Testing approach - Retrieve the "dateTime" attribute from the first 
//                    INS element of the testing document and examine 
//                    its value. It should be equal to "September 30, 1999" 
//
// Semantic Requirements: 2 
//
// Last modification date - October 25, 1999
//
// Written by: Carmelo Montanez
//----------------------------------------------------------------------------

 function HTML0002HMDE()
 {
   var computedValue = "";
   var expectedValue = "SEPTEMBER 30, 1999";
   var results = "";
   var testNode = "";

    results = new testResults("HTML0002HMDE");
    results.description = "The \"dateTime\" attribute specifies the "+
                          "date and time of the change (INS element).";
//
// Retrieve targeted data.
//
      testNode = new HTMLNodeObject(INS);
//
// and access its "dateTime" attribute.
//
      computedValue = testNode.node.dateTime;
      computedValue = computedValue.toUpperCase();
//
// Write out results 
//
      results.expected = expectedValue;
      results.actual = computedValue;

    return results;
}

//------------------------ End test case HTML-0002HMDE -------------------------
//
//------------------------   test case HTML-0003HMDE   -------------------------
//
// Testing feature - "The \"cite\" attribute specifies a URI designating
//                    a document that describes the reason for the change. 
//                    (test for the DEL element).
//
// Testing approach - Retrieve the "cite" attribute from the first 
//                    DEL element of the testing document and examine
//                    its value. It should be equal to 
//                    "./FILES/REASONS.HTML".
//
// Semantic Requirements: 1
//
// Last modification date - October 25, 1999
//
// Written by: Carmelo Montanez
//----------------------------------------------------------------------------

 function HTML0003HMDE()
 {
   var computedValue = "";
   var expectedValue = "./FILES/REASONS.HTML";
   var results = "";
   var testNode = "";

    results = new testResults("HTML0003HMDE");
    results.description = "The \"cite\" attribute specifies a "+
                          "URI designating a document that describes "+
                          "the reason for the change (DEL element).";
//
// Retrieve targeted data.
//
      testNode = new HTMLNodeObject(DEL);
//
// and access its "cite" attribute.
//
      computedValue = testNode.node.cite;
      computedValue = computedValue.toUpperCase();
//
// Write out results 
//
      results.expected = expectedValue;
      results.actual = computedValue;

    return results;
}

//------------------------ End test case HTML-0001HMDE -------------------------
//
//------------------------   test case HTML-0004HMDE   -------------------------
//
// Testing feature - The "dateTime" attribute specifies the date and time 
//                   of the change.
//
// Testing approach - Retrieve the "dateTime" attribute from the first 
//                    DEL element of the testing document and examine 
//                    its value. It should be equal to "September 30, 1999" 
//
// Semantic Requirements: 2 
//
// Last modification date - October 25, 1999
//
// Written by: Carmelo Montanez
//----------------------------------------------------------------------------

 function HTML0004HMDE()
 {
   var computedValue = "";
   var expectedValue = "SEPTEMBER 30, 1999";
   var results = "";
   var testNode = "";

    results = new testResults("HTML0004HMDE");
    results.description = "The \"dateTime\" attribute specifies the "+
                          "date and time of the change (DEL element).";
//
// Retrieve targeted data.
//
      testNode = new HTMLNodeObject(DEL);
//
// and access its "dateTime" attribute.
//
      computedValue = testNode.node.dateTime;
      computedValue = computedValue.toUpperCase();
//
// Write out results 
//
      results.expected = expectedValue;
      results.actual = computedValue;

    return results;
}
//------------------------ End test case HTML-0004HMDE -------------------------
