//**************************************************************************
//
//
//                       National Institute Of Standards and Technology
//                                    DTS Version 1.0
//         
//                           HTMLTableCellElement Interface
//**************************************************************************

function HTMLTableCellElement()
{
   var tests = new Array (HTML0001HTEE(),HTML0002HTEE(),HTML0003HTEE(),HTML0004HTEE(),HTML0005HTEE(),HTML0006HTEE(),HTML0007HTEE(),HTML0008HTEE(),HTML0009HTEE(),HTML0010HTEE(),HTML0011HTEE(),HTML0012HTEE(),HTML0013HTEE(),HTML0014HTEE(),HTML0015HTEE(),HTML0016HTEE(),HTML0017HTEE(),HTML0018HTEE(),HTML0019HTEE(),HTML0020HTEE(),HTML0021HTEE(),HTML0022HTEE(),HTML0023HTEE(),HTML0024HTEE(),HTML0025HTEE(),HTML0026HTEE(),HTML0027HTEE(),HTML0028HTEE(),HTML0029HTEE(),HTML0030HTEE());
   return tests;
}

//------------------------ test case HTML-0001HTEE ------------------------
//
// Testing feature - The cellIndex attribute specifies the index of this cell 
//                   in the row (TH).
//
// Testing approach - Retrieve the SECOND TH element of the testing
//                     document and examine its "cellIndex" attribute.
//
// Semantic Requirements: 1 
//
// Last modification date - November 2, 1999
//
// Written by: mark LaRoy Zimmerman
//----------------------------------------------------------------------------

 function HTML0001HTEE()
 {
   var computedValue = "";
   var expectedValue = 1;
   var results = "";
   var testNode = "";

    results = new testResults("HTML0001HTEE");
    results.description = "The \"cellIndex\" attribute specifies the "+ 
                          "index of this cell in the row (TH). ";
//
// Retrieve targeted data.
//
      testNode = new HTMLNodeObject(TH,SECOND);
//
// Retrieve the first item and examine its "cellIndex" attribute.
//
      computedValue = testNode.node.cellIndex;
//
// Write out results 
//
      results.expected = expectedValue;
      results.actual = computedValue;

    return results;
}
//------------------------ End test case HTML-0001HTEE -------------------------
//
//------------------------ test case HTML-0002HTEE ------------------------
//
// Testing feature - The cellIndex attribute specifies the index of this cell
//                   in the row (TD).
//
// Testing approach - Retrieve the first TD element of the testing
//                     document and examine its "cellIndex" attribute.
//
// Semantic Requirements: 1
//
// Last modification date - November 2, 1999
//
// Written by: Mark LaRoy Zimmerman
//----------------------------------------------------------------------------

 function HTML0002HTEE()
 {
   var computedValue = "";
   var expectedValue = 0;
   var results = "";
   var testNode = "";

    results = new testResults("HTML0002HTEE");
    results.description = "The \"cellIndex\" attribute specifies the "+
                          "index of this cell in the row (TD).";
//
// Retrieve targeted data.
//
      testNode = new HTMLNodeObject(TD,FIRST);
//
// Retrieve the first item and examine its "cellIndex" attribute.
//
      computedValue = testNode.node.cellIndex;
//
// Write out results
//
      results.expected = expectedValue;
      results.actual = computedValue;

    return results;
}
//------------------------ End test case HTML-0002HTEE -------------------------
//
//------------------------  test case HTML-0003HTEE  ---------------------------
//
// Testing feature - The "abbr" attribute specifies the abbreviation for 
//                   header cells (TH).
//
// Testing approach - Retrieve the second TH element of the testing
//                     document and examine its "abbr" attribute.
//
// Semantic Requirements: 2 
//
// Last modification date - November 2, 1999
//
// Written by: Mark LaRoy Zimmerman
//----------------------------------------------------------------------------

 function HTML0003HTEE()
 {
   var computedValue = "";
   var expectedValue = "MAIDEN";
   var results = "";
   var testNode = "";

    results = new testResults("HTML0003HTEE");
    results.description = "The \"abbr\" attribute specifies the "+
                          "abbreviation for header cells (TH).";
//
// Retrieve targeted data.
//
      testNode = new HTMLNodeObject(TH,SECOND);
//
// Retrieve the second item and examine its "abbr" attribute.
//
      computedValue = testNode.node.abbr;
      computedValue = computedValue.toUpperCase();
//
// Write out results
//
      results.expected = expectedValue;
      results.actual = computedValue;

    return results;
}
//------------------------ End test case HTML-0003HTEE -------------------------
//
//------------------------  test case HTML-0004HTEE  ---------------------------
//
// Testing feature - The "abbr" attribute specifies the abbreviation for
//                   header cells (TD).
//
// Testing approach - Retrieve the first TD element of the testing
//                     document and examine its "abbr" attribute.
//
// Semantic Requirements: 2
//
// Last modification date - November 2, 1999
//
// Written by: Mark LaRoy Zimmerman
//----------------------------------------------------------------------------

 function HTML0004HTEE()
 {
   var computedValue = "";
   var expectedValue = "MAIDEN2";
   var results = "";
   var testNode = "";

    results = new testResults("HTML0004HTEE");
    results.description = "The \"abbr\" attribute specifies the "+
                          "abbreviation for header cells (TD).";
//
// Retrieve targeted data.
//
      testNode = new HTMLNodeObject(TD,FIRST);
//
// Retrieve the second item and examine its "abbr" attribute.
//
      computedValue = testNode.node.abbr;
      computedValue = computedValue.toUpperCase();
//
// Write out results
//
      results.expected = expectedValue;
      results.actual = computedValue;

    return results;
}
//------------------------ End test case HTML-0004HTEE -------------------------
//
//------------------------  test case HTML-0005HTEE  ---------------------------
//
// Testing feature - The "align" attribute specifies the horizontal alignment
//                   of data in a cell (TH).
//
// Testing approach - Retrieve the second TH element of the testing
//                     document and examine its "align" attribute.
//
// Semantic Requirements: 3 
//
// Last modification date - November 2, 1999
//
// Written by: Mark LaRoy Zimmerman
//----------------------------------------------------------------------------

 function HTML0005HTEE()
 {
   var computedValue = "";
   var expectedValue = "CENTER";
   var results = "";
   var testNode = "";

    results = new testResults("HTML0005HTEE");
    results.description = "The \"align\" attribute specifies the "+
                          "horizontal alignment of data in a cell (TH).";
//
// Retrieve the targeted data.
//
      testNode = new HTMLNodeObject(TH,SECOND);
//
// Retrieve the second item and examine its "align" attribute.
//
      computedValue = testNode.node.align;
      computedValue = computedValue.toUpperCase();
//
// Write out results
//
      results.expected = expectedValue;
      results.actual = computedValue;

    return results;
}
//------------------------ End test case HTML-0005HTEE -------------------------
//
//------------------------  test case HTML-0006HTEE  ---------------------------
//
// Testing feature - The "align" attribute specifies the horizontal alignment
//                   of data in a cell (TD).
//
// Testing approach - Retrieve the first TD element of the testing
//                     document and examine its "align" attribute.
//
// Semantic Requirements: 3
//
// Last modification date - November 2, 1999
//
// Written by: Mark LaRoy Zimmerman
//----------------------------------------------------------------------------

 function HTML0006HTEE()
 {
   var computedValue = "";
   var expectedValue = "CENTER";
   var results = "";
   var testNode = "";

    results = new testResults("HTML0006HTEE");
    results.description = "The \"align\" attribute specifies the "+
                          "horizontal alignment of data in a cell (TD).";
//
// Retrieve the targeted data.
//
      testNode = new HTMLNodeObject(TD,FIRST);
//
// Retrieve the second item and examine its "align" attribute.
//
      computedValue = testNode.node.align;
      computedValue = computedValue.toUpperCase();
//
// Write out results
//
      results.expected = expectedValue;
      results.actual = computedValue;

    return results;
}
//------------------------ End test case HTML-0006HTEE -------------------------
//
//------------------------  test case HTML-0007HTEE  ---------------------------
//
// Testing feature - The "axis" attribute specifies the names group of
//                   related headers (TH). 
//
// Testing approach - Retrieve the second TH element of the testing
//                     document and examine its "axis" attribute.
//
// Semantic Requirements: 4 
//
// Last modification date - November 2, 1999
//
// Written by: Mark LaRoy Zimmerman
//----------------------------------------------------------------------------

 function HTML0007HTEE()
 {
   var computedValue = "";
   var expectedValue = "CENTER";
   var results = "";
   var testNode = "";

    results = new testResults("HTML0007HTEE");
    results.description = "The \"axis\" attribute specifies the "+
                          "names of group of related headers (TH).";
//
// Retrieve the targeted data.
//
      testNode = new HTMLNodeObject(TH,SECOND);
//
// Retrieve the second item and examine its "axis" attribute.
//
      computedValue = testNode.node.axis;
      computedValue = computedValue.toUpperCase();
//
// Write out results
//
      results.expected = expectedValue;
      results.actual = computedValue;

    return results;
}
//------------------------ End test case HTML-0007HTEE -------------------------
//
//------------------------  test case HTML-0008HTEE  ---------------------------
//
// Testing feature - The "axis" attribute specifies the names group of
//                   related headers (TD).
//
// Testing approach - Retrieve the first TD element of the testing
//                     document and examine its "axis" attribute.
//
// Semantic Requirements: 4
//
// Last modification date - November 2, 1999
//
// Written by: Mark LaRoy Zimmerman
//----------------------------------------------------------------------------

 function HTML0008HTEE()
 {
   var computedValue = "";
   var expectedValue = "CENTER";
   var results = "";
   var testNode = "";

    results = new testResults("HTML0008HTEE");
    results.description = "The \"axis\" attribute specifies the "+
                          "names of group of related headers (TD).";
//
// Retrieve the targeted data.
//
      testNode = new HTMLNodeObject(TD,FIRST);
//
// Retrieve the second item and examine its "axis" attribute.
//
      computedValue = testNode.node.axis;
      computedValue = computedValue.toUpperCase();
//
// Write out results
//
      results.expected = expectedValue;
      results.actual = computedValue;

    return results;
}
//------------------------ End test case HTML-0008HTEE -------------------------
//
//------------------------  test case HTML-0009HTEE  ---------------------------
//
// Testing feature - The "bgColor" attribute specifies the cells background 
//                   color (TH).
//
// Testing approach - Retrieve the second TH element of the testing
//                     document and examine its "bgColor" attribute.
//
// Semantic Requirements: 5 
//
// Last modification date - November 2, 1999
//
// Written by: Mark LaRoy Zimmerman
//----------------------------------------------------------------------------

 function HTML0009HTEE()
 {
   var computedValue = "";
   var expectedValue = "#00FFFF";
   var results = "";
   var testNode = "";

    results = new testResults("HTML0009HTEE");
    results.description = "The \"bgColor\" attribute specifies the "+
                          "cells background color (TH).";
//
// Retrieve the targeted data.
//
      testNode = new HTMLNodeObject(TH,SECOND);
//
// Retrieve the second item and examine its "bgColor" attribute.
//
      computedValue = testNode.node.bgColor;
      computedValue = computedValue.toUpperCase();
//
// Write out results
//
      results.expected = expectedValue;
      results.actual = computedValue;

    return results;
}
//------------------------ End test case HTML-0009HTEE -------------------------
//
//------------------------  test case HTML-0010HTEE  ---------------------------
//
// Testing feature - The "bgColor" attribute specifies the cells background
//                   color (TD).
//
// Testing approach - Retrieve the first TD element of the testing
//                     document and examine its "bgColor" attribute.
//
// Semantic Requirements: 5
//
// Last modification date - November 5, 1999
//
// Written by: Mark LaRoy Zimmerman
//----------------------------------------------------------------------------

 function HTML0010HTEE()
 {
   var computedValue = "";
   var expectedValue = "#FF0000";
   var results = "";
   var testNode = "";

    results = new testResults("HTML0010HTEE");
    results.description = "The \"bgColor\" attribute specifies the "+
                          "cells background color (TD).";
//
// Retrieve the targeted data.
//
      testNode = new HTMLNodeObject(TD,FIRST);
//
// Retrieve the second item and examine its "bgColor" attribute.
//
      computedValue = testNode.node.bgColor;
      computedValue = computedValue.toUpperCase();
//
// Write out results
//
      results.expected = expectedValue;
      results.actual = computedValue;

    return results;
}
//------------------------ End test case HTML-0010HTEE -------------------------
//
//------------------------  test case HTML-0011HTEE  ---------------------------
//
// Testing feature - The "ch" attribute specifies the alignment character
//                   for cells in a column. (TH)
//
// Testing approach - Retrieve the second TH element of the testing
//                     document, set the "ch" element and examine 
//                     it to verify that the change was made.
//
// Semantic Requirements: 6 
//
// Last modification date - November 2, 1999
//
// Written by: Mark LaRoy Zimmerman
//----------------------------------------------------------------------------

 function HTML0011HTEE()
 {
   var computedValue = "";
   var expectedValue = ".";
   var results = "";
   var testNode = "";

    results = new testResults("HTML0011HTEE");
    results.description = "The \"ch\" attribute specifies the "+
                          "alignment character for cells in a column (TH).";
//
// Retrieve the targeted data.
//
      testNode = new HTMLNodeObject(TH,SECOND);
//
// Retrieve the second item and examine its "ch" attribute.
//
      testNode.node.ch = ".";
      computedValue = testNode.node.ch;
//
// Write out results
//
      results.expected = expectedValue;
      results.actual = computedValue;

    return results;
}
//------------------------ End test case HTML-0011HTEE -------------------------
//
//------------------------  test case HTML-0012HTEE  ---------------------------
//
// Testing feature - The "ch" attribute specifies the alignment character
//                   for cells in a column (TD).
//
// Testing approach - Retrieve the first TD element of the testing
//                     document, set the "ch" element and examine
//                     it to verify that the change was made.
//
// Semantic Requirements: 6
//
// Last modification date - November 2, 1999
//
// Written by: Mark LaRoy Zimmerman
//----------------------------------------------------------------------------

 function HTML0012HTEE()
 {
   var computedValue = "";
   var expectedValue = ".";
   var results = "";
   var testNode = "";

    results = new testResults("HTML0012HTEE");
    results.description = "The \"ch\" attribute specifies the "+
                          "alignment character for cells in a column (TD).";
//
// Retrieve the targeted data.
//
      testNode = new HTMLNodeObject(TD,FIRST);
//
// Retrieve the second item and examine its "ch" attribute.
//
      testNode.node.ch = ".";
      computedValue = testNode.node.ch;
//
// Write out results
//
      results.expected = expectedValue;
      results.actual = computedValue;

    return results;
}
//------------------------ End test case HTML-0012HTEE -------------------------
//
//------------------------  test case HTML-0013HTEE  ---------------------------
//
// Testing feature - The "chOff" attribute specifies the offset of alignment
//                   character (TH).
//
// Testing approach - Retrieve the second TH element of the testing
//                     document, set the "chOff" element and examine
//                     it to verify that the change was made.
//
// Semantic Requirements: 7 
//
// Last modification date - November 2, 1999
//
// Written by: Mark LaRoy Zimmerman
//----------------------------------------------------------------------------

 function HTML0013HTEE()
 {
   var computedValue = "";
   var expectedValue = "0";
   var results = "";
   var testNode = "";

    results = new testResults("HTML0013HTEE");
    results.description = "The \"chOff\" attribute specifies the "+
                          "offset of alignment character (TH).";
//
// Retrieve the targeted data.
//
      testNode = new HTMLNodeObject(TH,SECOND);
//
// Retrieve the second item and examine its "chOff" attribute.
//
      testNode.node.chOff = "0";
      computedValue = testNode.node.chOff;
//
// Write out results
//
      results.expected = expectedValue;
      results.actual = computedValue;

    return results;
}
//------------------------ End test case HTML-0013HTEE -------------------------
//
//------------------------  test case HTML-0014HTEE  ---------------------------
//
// Testing feature - The "chOff" attribute specifies the offset of alignment
//                   character (TD).
//
// Testing approach - Retrieve the first TD element of the testing
//                     document, set the "chOff" element and examine
//                     it to verify that the change was made.
//
// Semantic Requirements: 7
//
// Last modification date - November 2, 1999
//
// Written by: Mark LaRoy Zimmerman
//----------------------------------------------------------------------------

 function HTML0014HTEE()
 {
   var computedValue = "";
   var expectedValue = "0";
   var results = "";
   var testNode = "";

    results = new testResults("HTML0014HTEE");
    results.description = "The \"chOff\" attribute specifies the "+
                          "offset of alignment character (TD).";
//
// Retrieve the targeted data.
//
      testNode = new HTMLNodeObject(TD,FIRST);
//
// Retrieve the second item and examine its "chOff" attribute.
//
      testNode.node.chOff = "0";
      computedValue = testNode.node.chOff;
//
// Write out results
//
      results.expected = expectedValue;
      results.actual = computedValue;

    return results;
}
//------------------------ End test case HTML-0014HTEE -------------------------
//
//------------------------  test case HTML-0015HTEE  ---------------------------
//
// Testing feature - The "colSpan" attribute specifies the number of
//                   columns spanned by a cell (TH). 
//
// Testing approach - Retrieve the second TH element of the testing
//                     document and examine its "colSpan" attribute.
//
// Semantic Requirements: 8 
//
// Last modification date - November 2, 1999
//
// Written by: Mark LaRoy Zimmerman
//----------------------------------------------------------------------------

 function HTML0015HTEE()
 {
   var computedValue = "";
   var expectedValue = 1;
   var results = "";
   var testNode = "";

    results = new testResults("HTML0015HTEE");
    results.description = "The \"colSpan\" attribute specifies the "+
                          "number of columns spanned by a cell (TH).";
//
// Retrieve the targeted data.
//
      testNode = new HTMLNodeObject(TH,SECOND);
//
// Retrieve the second item and examine its "colSpan" attribute.
//
      computedValue = testNode.node.colSpan;
//
// Write out results
//
      results.expected = expectedValue;
      results.actual = computedValue;

    return results;
}
//------------------------ End test case HTML-0015HTEE -------------------------
//
//------------------------  test case HTML-0016HTEE  ---------------------------
//
// Testing feature - The "colSpan" attribute specifies the number of
//                   columns spanned by a cell. (TD).
//
// Testing approach - Retrieve the first TD element of the testing
//                     document and examine its "colSpan" attribute.
//
// Semantic Requirements: 8
//
// Last modification date - November 5, 1999
//
// Written by: Mark LaRoy Zimmerman
//----------------------------------------------------------------------------

 function HTML0016HTEE()
 {
   var computedValue = "";
   var expectedValue = 1;
   var results = "";
   var testNode = "";

    results = new testResults("HTML0016HTEE");
    results.description = "The \"colSpan\" attribute specifies the "+
                          "number of columns spanned by a cell. (TD).";
//
// Retrieve the targeted data.
//
      testNode = new HTMLNodeObject(TD,FIRST);
//
// Retrieve the second item and examine its "colSpan" attribute.
//
      computedValue = testNode.node.colSpan;
//
// Write out results
//
      results.expected = expectedValue;
      results.actual = computedValue;

    return results;
}
//------------------------ End test case HTML-0016HTEE -------------------------
//
//------------------------  test case HTML-0017HTEE  ---------------------------
//
// Testing feature - The "headers" attribute specifies a list of id
//                   attribute values for header cells (TH). 
//
// Testing approach - Retrieve the second TH element of the testing
//                    document and examine its "headers" attribute.
//
// Semantic Requirements: 9
//
// Last modification date - November 2, 1999
//
// Written by: Mark LaRoy Zimmerman
//----------------------------------------------------------------------------

 function HTML0017HTEE()
 {
   var computedValue = "";
   var expectedValue = "HEADER-1";
   var results = "";
   var testNode = "";

    results = new testResults("HTML0017HTEE");
    results.description = "The \"headers\" attribute specifies a"+
                          "list of attribute values for header cells (TH).";
//
// Retrieve the targeted data.
//
      testNode = new HTMLNodeObject(TH,SECOND);
//
// Retrieve the second item and examine its "headers" attribute.
//
      computedValue = testNode.node.headers;
      computedValue = computedValue.toUpperCase();
//
// Write out results
//
      results.expected = expectedValue;
      results.actual = computedValue;

    return results;
}
//------------------------ End test case HTML-0017HTEE -------------------------
//
//------------------------  test case HTML-0018HTEE  ---------------------------
//
// Testing feature - The "headers" attribute specifies a list of id
//                   attribute values for header cells (TD).
//
// Testing approach - Retrieve the first TD element of the testing
//                     document and examine its "headers" attribute.
//
// Semantic Requirements: 9
//
// Last modification date - November 2, 1999
//
// Written by: Mark LaRoy Zimmerman
//----------------------------------------------------------------------------

 function HTML0018HTEE()
 {
   var computedValue = "";
   var expectedValue = "HEADER-2";
   var results = "";
   var testNode = "";

    results = new testResults("HTML0018HTEE");
    results.description = "The \"headers\" attribute specifies a"+
                          "list of attribute values for header cells (TD).";
//
// Retrieve the targeted data.
//
      testNode = new HTMLNodeObject(TD,FIRST);
//
// Retrieve the second item and examine its "headers" attribute.
//
      computedValue = testNode.node.headers;
      computedValue = computedValue.toUpperCase();
//
// Write out results
//
      results.expected = expectedValue;
      results.actual = computedValue;

    return results;
}
//------------------------ End test case HTML-0018HTEE -------------------------
//
//------------------------  test case HTML-0019HTEE  ---------------------------
//
// Testing feature - The "height" attribute specifies the cell height (TH).
//
// Testing approach - Retrieve the second TH element of the testing
//                     document and examine its "height" attribute.
//
// Semantic Requirements: 10 
//
// Last modification date - November 2, 1999
//
// Written by: Mark LaRoy Zimmerman
//----------------------------------------------------------------------------

 function HTML0019HTEE()
 {
   var computedValue = "";
   var expectedValue = "50";
   var results = "";
   var testNode = "";

    results = new testResults("HTML0019HTEE");
    results.description = "The \"height\" attribute specifies the "+
                          "cell's height (TH).";
//
// Retrieve the targeted data.
//
      testNode = new HTMLNodeObject(TH,SECOND);
//
// Retrieve the second item and examine its "height" attribute.
//
      computedValue = testNode.node.height;
//
// Write out results
//
      results.expected = expectedValue;
      results.actual = computedValue;

    return results;
}
//------------------------ End test case HTML-0019HTEE ------------------------
//
//------------------------  test case HTML-0020HTEE  ---------------------------
//
// Testing feature - The "height" attribute specifies the cell height (TD).
//
// Testing approach - Retrieve the first TD element of the testing
//                     document and examine its "height" attribute.
//
// Semantic Requirements: 10
//
// Last modification date - November 2, 1999
//
// Written by: Mark LaRoy Zimmerman
//----------------------------------------------------------------------------

 function HTML0020HTEE()
 {
   var computedValue = "";
   var expectedValue = "50";
   var results = "";
   var testNode = "";

    results = new testResults("HTML0020HTEE");
    results.description = "The \"height\" attribute specifies the "+
                          "cell's height (TD).";
//
// Retrieve the targeted data.
//
      testNode = new HTMLNodeObject(TD,FIRST);
//
// Retrieve the second item and examine its "height" attribute.
//
      computedValue = testNode.node.height;
//
// Write out results
//
      results.expected = expectedValue;
      results.actual = computedValue;

    return results;
}
//------------------------ End test case HTML-0020HTEE -------------------------
//
//------------------------  test case HTML-0021HTEE  ---------------------------
//
// Testing feature - The "noWrap" of the HTMLTableCellElement attribute 
//                   supresses word wrapping (TH).
//
// Testing approach - Retrieve the second TH element of the testing
//                     document and examine its "noWrap" attribute.
//
// Semantic Requirements: 11
//
// Last modification date - November 2, 1999
//
// Written by: Mark LaRoy Zimmerman
//----------------------------------------------------------------------------

 function HTML0021HTEE()
 {
   var computedValue = "";
   var expectedValue = true;
   var results = "";
   var testNode = "";

    results = new testResults("HTML0021HTEE");
    results.description = "The \"noWrap\" attribute suppreses "+
                          "word wrappig (TH).";
//
// Retrieve the targeted data.
//
      testNode = new HTMLNodeObject(TH,SECOND);
//
// Retrieve the second item and examine its "noWrap" attribute.
//
      computedValue = testNode.node.noWrap;
//
// Write out results
//
      results.expected = expectedValue;
      results.actual = computedValue;

    return results;
}
//------------------------ End test case HTML-0021HTEE -------------------------
//
//------------------------  test case HTML-0022HTEE  ---------------------------
//
// Testing feature - The "noWrap" of the HTMLTableCellElement attribute
//                   supresses word wrapping (TD).
//
// Testing approach - Retrieve the first TD element of the testing
//                     document and examine its "noWrap" attribute.
//
// Semantic Requirements: 11
//
// Last modification date - November 2, 1999
//
// Written by: Mark LaRoy Zimmerman
//----------------------------------------------------------------------------

 function HTML0022HTEE()
 {
   var computedValue = "";
   var expectedValue = true;
   var results = "";
   var testNode = "";

    results = new testResults("HTML0022HTEE");
    results.description = "The \"noWrap\" attribute suppreses "+
                          "word wrapping (TD).";
//
// Retrieve the targeted data.
//
      testNode = new HTMLNodeObject(TD,FIRST);
//
// Retrieve the second item and examine its "noWrap" attribute.
//
      computedValue = testNode.node.noWrap;
//
// Write out results
//
      results.expected = expectedValue;
      results.actual = computedValue;

    return results;
}
//------------------------ End test case HTML-0022HTEE -------------------------
//
//------------------------  test case HTML-0023HTEE  ---------------------------
//
// Testing feature - The "rowSpan" attribute specifies the number of rows
//                   spanned by a cell (TH).
//
// Testing approach - Retrieve the second TH element of the testing
//                     document and examine its "rowSpan" attribute.
//
// Semantic Requirements: 12
//
// Last modification date - November 2, 1999
//
// Written by: Mark LaRoy Zimmerrman
//----------------------------------------------------------------------------

 function HTML0023HTEE()
 {
   var computedValue = "";
   var expectedValue = 1;
   var results = "";
   var testNode = "";

    results = new testResults("HTML0023HTEE");
    results.description = "The \"rowSpan\" attribute specifies "+
                          "the number of rows spanned by a cell (TH).";
//
// Retrieve the targeted data.
//
      testNode = new HTMLNodeObject(TH,SECOND);
//
// Retrieve the second item and examine its "rowSpan" attribute.
//
      computedValue = testNode.node.rowSpan;
//
// Write out results
//
      results.expected = expectedValue;
      results.actual = computedValue;

    return results;
}
//------------------------ End test case HTML-0023HTEE -------------------------
//
//------------------------  test case HTML-0024HTEE  ---------------------------
//
// Testing feature - The "rowSpan" attribute specifies the number of rows
//                   spanned by a cell (TD).
//
// Testing approach - Retrieve the first TD element of the testing
//                     document and examine its "rowSpan" attribute.
//
// Semantic Requirements: 12
//
// Last modification date - November 2, 1999
//
// Written by: Mark LaRoy Zimmerman
//----------------------------------------------------------------------------

 function HTML0024HTEE()
 {
   var computedValue = "";
   var expectedValue = 1;
   var results = "";
   var testNode = "";

    results = new testResults("HTML0024HTEE");
    results.description = "The \"rowSpan\" attribute specifies "+
                          "the number of rows spanned by a cell (TD).";
//
// Retrieve the targeted data.
//
      testNode = new HTMLNodeObject(TD,FIRST);
//
// Retrieve the second item and examine its "rowSpan" attribute.
//
      computedValue = testNode.node.rowSpan;
//
// Write out results
//
      results.expected = expectedValue;
      results.actual = computedValue;

    return results;
}
//------------------------ End test case HTML-0024HTEE -------------------------
//
//------------------------  test case HTML-0025HTEE  ---------------------------
//
// Testing feature - The "scope" attribute specifies the scope covered by
//                   header cells (TH). 
//
// Testing approach - Retrieve the second TH element of the testing
//                     document and examine its "scope" attribute.
//
// Semantic Requirements: 13 
//
// Last modification date - November 2, 1999
//
// Written by: Mark LaRoy Zimmermna
//----------------------------------------------------------------------------

 function HTML0025HTEE()
 {
   var computedValue = "";
   var expectedValue = "COL";
   var results = "";
   var testNode = "";

    results = new testResults("HTML0025HTEE");
    results.description = "The \"scope\" attribute specifies "+
                          "the scope covered by header cells (TH).";
//
// Retrieve the targeted data.
//
      testNode = new HTMLNodeObject(TH,SECOND);
//
// Retrieve the second item and examine its "scope" attribute.
//
      computedValue = testNode.node.scope;
      computedValue = computedValue.toUpperCase();
//
// Write out results
//
      results.expected = expectedValue;
      results.actual = computedValue;

    return results;
}
//------------------------ End test case HTML-0025HTEE -------------------------
//
//------------------------  test case HTML-0026HTEE  ---------------------------
//
// Testing feature - The "scope" attribute specifies the scope covered by
//                   header cells (TD).
//
// Testing approach - Retrieve the first TD element of the testing
//                     document and examine its "scope" attribute.
//
// Semantic Requirements: 13
//
// Last modification date - November 2, 1999
//
// Written by: Mark LaRoy Zimmerman
//----------------------------------------------------------------------------

 function HTML0026HTEE()
 {
   var computedValue = "";
   var expectedValue = "COL";
   var results = "";
   var testNode = "";

    results = new testResults("HTML0026HTEE");
    results.description = "The \"scope\" attribute specifies "+
                          "the scope covered by header cells (TD)";
//
// Retrieve the targeted data.
//
      testNode = new HTMLNodeObject(TD,FIRST);
//
// Retrieve the second item and examine its "scope" attribute.
//
      computedValue = testNode.node.scope;
      computedValue = computedValue.toUpperCase();
//
// Write out results
//
      results.expected = expectedValue;
      results.actual = computedValue;

    return results;
}
//------------------------ End test case HTML-0026HTEE -------------------------
//
//------------------------  test case HTML-0027HTEE  ---------------------------
//
// Testing feature - The "vAlign" attribute specifies the vertical alignment 
//                   of data in a cell (TH).
//
// Testing approach - Retrieve the second TH element of the testing
//                     document and examine its "vAlign" attribute.
//
// Semantic Requirements: 14
//
// Last modification date - November 2, 1999
//
// Written by: Mark LaRoy Zimmerman
//----------------------------------------------------------------------------

 function HTML0027HTEE()
 {
   var computedValue = "";
   var expectedValue = "MIDDLE";
   var results = "";
   var testNode = "";

    results = new testResults("HTML0027HTEE");
    results.description = "The \"vAlign\" attribute specifies the "+
                          "vertical alignment of data in a cell (TH).";
//
// Retrieve the targeted data.
//
      testNode = new HTMLNodeObject(TH,SECOND);
//
// Retrieve the second item and examine its "vAlign" attribute.
//
      computedValue = testNode.node.vAlign;
      computedValue = computedValue.toUpperCase();
//
// Write out results
//
      results.expected = expectedValue;
      results.actual = computedValue;

    return results;
}
//------------------------ End test case HTML-0027HTEE -------------------------
//
//------------------------  test case HTML-0028HTEE  ---------------------------
//
// Testing feature - The "vAlign" attribute specifies the vertical alignment
//                   of data in a cell (TD).
//
// Testing approach - Retrieve the first TD element of the testing
//                     document and examine its "vAlign" attribute.
//
// Semantic Requirements: 14
//
// Last modification date - November 2, 1999
//
// Written by: Mark LaRoy Zimmerman
//----------------------------------------------------------------------------

 function HTML0028HTEE()
 {
   var computedValue = "";
   var expectedValue = "MIDDLE";
   var results = "";
   var testNode = "";

    results = new testResults("HTML0028HTEE");
    results.description = "The \"vAlign\" attribute specifies the "+
                          "vertical alignment of data in a cell (TD).";
//
// Retrieve the targeted data.
//
      testNode = new HTMLNodeObject(TD,FIRST);
//
// Retrieve the second item and examine its "vAlign" attribute.
//
      computedValue = testNode.node.vAlign;
      computedValue = computedValue.toUpperCase();
//
// Write out results
//
      results.expected = expectedValue;
      results.actual = computedValue;

    return results;
}
//------------------------ End test case HTML-0028HTEE -------------------------
//
//------------------------  test case HTML-0029HTEE  ---------------------------
//
// Testing feature - The "width" attribute specifies the cell's width (TH).
//
// Testing approach - Retrieve the second TH element of the testing
//                     document and examine its "width" attribute.
//
// Semantic Requirements: 15
//
// Last modification date - November 2, 1999
//
// Written by: Mark LaRoy Zimmerman
//----------------------------------------------------------------------------

 function HTML0029HTEE()
 {
   var computedValue = "";
   var expectedValue = "100";
   var results = "";
   var testNode = "";

    results = new testResults("HTML0029HTEE");
    results.description = "The \"width\" attribute specifies the "+
                          "cell's width (TH).";
//
// Retrieve the targeted data.
//
      testNode = new HTMLNodeObject(TH,SECOND);
//
// Retrieve the second item and examine its "width" attribute.
//
      computedValue = testNode.node.width;
      computedValue = computedValue.toUpperCase();
//
// Write out results
//
      results.expected = expectedValue;
      results.actual = computedValue;

    return results;
}
//------------------------ End test case HTML-0029HTEE -------------------------
//
//------------------------  test case HTML-0030HTEE  ---------------------------
//
// Testing feature - The "width" attribute specifies the cell's width (TD).
//
// Testing approach - Retrieve the first TD element of the testing
//                     document and examine its "width" attribute.
//
// Semantic Requirements: 15
//
// Last modification date - November 2, 1999
//
// Written by: Mark LaRoy Zimmerman
//----------------------------------------------------------------------------

 function HTML0030HTEE()
 {
   var computedValue = "";
   var expectedValue = "175";
   var results = "";
   var testNode = "";

    results = new testResults("HTML0030HTEE");
    results.description = "The \"width\" attribute specifies the "+
                          "cell's width (TD).";
//
// Retrieve the targeted data.
//
      testNode = new HTMLNodeObject(TD,FIRST);
//
// Retrieve the second item and examine its "width" attribute.
//
      computedValue = testNode.node.width;
      computedValue = computedValue.toUpperCase();
//
// Write out results
//
      results.expected = expectedValue;
      results.actual = computedValue;

    return results;
}
//------------------------ End test case HTML-0030HTEE -------------------------
